<?php
/**
* Comment.class.php
*
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
* @version              $Id: Comment.class.php,v 1.1.1.1 2007-02-16 11:54:34 jankul Exp $
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// FotoContest.class.php
// Copyright (C) 2007 Jan Kulmann <jankul@tzi.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


require_once $GLOBALS['ABSOLUTE_PATH_STUDIP'].("functions.php");

class Comment {

	var $photo_id;
	var $user_id;
	var $comment_id;
	var $mkdate;
	var $kommentar;

	function reset() {
		$this->photo_id = "";
		$this->user_id = "";
		$this->comment_id = "";
		$this->mkdate = 0;
		$this->kommentar = "";
	}

	function Comment() {
		$this->reset();
	}

	function load($comment_id) {
		$db = new DB_Seminar();
		$db->queryf("SELECT * FROM mp_photo_comment WHERE comment_id='%s'",$comment_id);
		if ($db->next_record()) {
			$this->photo_id = $db->f("photo_id");
	                $this->user_id = $db->f("user_id");
        	        $this->comment_id = $db->f("comment_id");
                	$this->mkdate = $db->f("mkdate");
        	        $this->kommentar = $db->f("kommentar");
		}
	}

	function save() {
		$db = new DB_Seminar();
		if ($this->comment_id == "") {
			$this->comment_id = $this->get_new_id();
			$db->queryf("INSERT INTO mp_photo_comment (photo_id, user_id, comment_id, mkdate, kommentar) VALUES ('%s','%s','%s',%d,'%s')",
					$this->photo_id,
					$this->user_id,
					$this->comment_id,
					$this->mkdate,
					$this->kommentar);
		}
	}

	function delete() {
		if ($this->comment_id != "") {
			$db = new DB_Seminar();
			$db->queryf("DELETE FROM mp_photo_comment WHERE comment_id='%s'",$this->comment_id);
			$this->reset();
		}
	}

	function get_photo_id() {
		return $this->photo_id;
	}

	function get_user_id() {
		return $this->user_id;
	}

	function get_comment_id() {
		return $this->comment_id;
	}

	function get_mkdate() {
		return $this->mkdate;
	}

	function get_comment() {
		return $this->kommentar;
	}

	function set_photo_id($id) {
		$this->photo_id = $id;
	}

	function set_user_id($id) {
		$this->user_id = $id;
	}

	function set_comment_id($id) {
		$this->comment_id = $id;
	}

	function set_comment($t) {
		$this->kommentar = $t;
	}

	function set_mkdate($d) {
		$this->mkdate = $d;
	}

	// Generiert eine eindeutige ID.
        // return: string (id)
        function get_new_id() {
                return md5(uniqid(time()));
        }

}

?>
