<?php

page_open(array("sess" => "Seminar_Session", "auth" => "Seminar_Default_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"));

require_once("Photo.class.php");
require_once("Album.class.php");

$db=new DB_Seminar;
if (isset($photo_id)) {
	ob_start();

	$photo_id = escapeshellcmd(basename($photo_id));
	
	$p = new Photo();
	$p->load($photo_id);

	if (!($p->get_user_id() == $GLOBALS['auth']->auth['uid'] || $GLOBALS['perm']->have_perm("root"))) {
		$a = new Album();
		$a->load($p->get_album_id());
		if ($a->get_public() == 0)
			exit;
	}

	if ($modus == "thumb")
		$data = base64_decode($p->get_file_content_thumb());
	else
		$data = base64_decode($p->get_file_content());

	switch (strtolower($p->get_ext())) {
		case "gif":
			$content_type="image/gif";
			$content_disposition="inline";
			break;
		case "jpeg":
			$content_type="image/jpeg";
			$content_disposition="inline";
			break;
		case "jpg":
			$content_type="image/jpeg";
			$content_disposition="inline";
			break;
		default:
			break;
	}
	
	header("Expires: Mon, 12 Dec 2001 08:00:00 GMT");
	header("Last-Modified: " . gmdate ("D, d M Y H:i:s") . " GMT");
	if ($_SERVER['HTTPS'] == "on"){
	        header("Pragma: public");
        	header("Cache-Control: private");
	} else {
        	header("Pragma: no-cache");
	        header("Cache-Control: no-store, no-cache, must-revalidate");   // HTTP/1.1
	}
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Content-Type: $content_type; name=\"picture.".$p->get_ext()."\"");
	header("Content-Description: File Transfer");
	header("Content-Transfer-Encoding: binary");
	header("Accept-Ranges: bytes");
	header("Content-Length: ".strlen($data));
	header("Content-Disposition: $content_disposition; filename=\"picture.".$p->get_ext()."\"");
	ob_end_flush();

	echo $data;
}

// Save data back to database.
page_close();
?>
